ur_rna.GUITester.ScriptParser

## Class ASTNamedArgument

- java.lang.Object
- - ur_rna.GUITester.ScriptParser.SimpleNode
  - - ur_rna.GUITester.ScriptParser.ScriptNode
    - - ur_rna.GUITester.ScriptParser.ASTNamedArgument

- All Implemented Interfaces:
    Node, ScriptNodePropConstants

      public class ASTNamedArgument
      extends ScriptNode

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `name`
    `ScriptNode` | `val`

    - ### Fields inherited from class ur_rna.GUITester.ScriptParser.ScriptNode

      `emptyChildArray, tokenKind`

    - ### Fields inherited from class ur_rna.GUITester.ScriptParser.SimpleNode

      `children, id, parent, parser, value`

    - ### Fields inherited from interface ur_rna.GUITester.ScriptParser.ScriptNodePropConstants

      `LHS, OPERATION, PRIMITIVE, RHS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ASTNamedArgument(GuiTestScriptParser p, int id)`
    `ASTNamedArgument(int id)`

  - ### Method Summary

    - ### Methods inherited from class ur_rna.GUITester.ScriptParser.ScriptNode

      `add, child, childCount, dump, dump, get, getChildren, getNodeName, getNodeName, getTokenKind, getTokenName, getTokenName, hasChildren, propsToString, setTokenKind, toString, writeProps`

    - ### Methods inherited from class ur_rna.GUITester.ScriptParser.SimpleNode

      `getId, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtGetValue, jjtOpen, jjtSetParent, jjtSetValue, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### name

          public java.lang.String name

    - #### val

          public ScriptNode val

  - ### Constructor Detail

    - #### ASTNamedArgument

          public ASTNamedArgument(GuiTestScriptParser p,
                                  int id)

    - #### ASTNamedArgument

          public ASTNamedArgument(int id)